import request from '@/utils/request'

// 查询中医档期业绩报表列表
export function listTcmScheduleReport(query) {
  return request({
    url: '/company/scheduleReport/list',
    method: 'get',
    params: query
  })
}

// 中医档期业绩报表统计
export function listTcmStatisticsReport(query) {
  return request({
    url: '/company/scheduleReport/statistics',
    method: 'get',
    params: query
  })
}


// 查询指定档期各团队统计报表
export function getStatisticsByScheduleId(query) {
  return request({
    url: '/company/scheduleReport/getStatisticsByScheduleId',
    method: 'get',
    params: query
  })
}

// 查询中医档期业绩报表详细
export function getTcmScheduleReport(id) {
  return request({
    url: '/company/scheduleReport/' + id,
    method: 'get'
  })
}

// 新增中医档期业绩报表
export function addTcmScheduleReport(data) {
  return request({
    url: '/company/scheduleReport',
    method: 'post',
    data: data
  })
}

// 修改中医档期业绩报表
export function updateTcmScheduleReport(data) {
  return request({
    url: '/company/scheduleReport',
    method: 'put',
    data: data
  })
}

// 删除中医档期业绩报表
export function delTcmScheduleReport(id) {
  return request({
    url: '/company/scheduleReport/' + id,
    method: 'delete'
  })
}

// 导出中医档期业绩统计报表
export function exportStatisticsScheduleReport(query) {
  return request({
    url: '/company/scheduleReport/exportStatistics',
    method: 'get',
    params: query
  })
}

// 导出中医档期业绩报表
export function exportTcmScheduleReport(query) {
  return request({
    url: '/company/scheduleReport/export',
    method: 'get',
    params: query
  })
}




// 查询中医档期管理列表
export function listSchedule(query) {
  return request({
    url: '/company/scheduleReport/getScheduleList',
    method: 'get',
    params: query
  })
}


// 查询中医档期管理列表
export function listAllSchedule(query) {
  return request({
    url: '/company/scheduleReport/getAllScheduleList',
    method: 'get',
    params: query
  })
}